# class GUIActivateEvent | This event is sent to a Part when its GUI has been activated or deactivated. More...
Full name | `KParts::GUIActivateEvent`
Definition | `#include <event.h>`
Inherits | KParts::Event [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- GUIActivateEvent ( bool activated )
- bool activated () const

#### Public Static Methods

- static bool test ( const QEvent *event )

## Detailed Description

This event is sent to a Part when its GUI has been activated or deactivated. This is related to PartActivateEvent, but the difference is that GUIActivateEvent happens later (when the GUI is actually built), only for parts that have GUI elements, and only if using KParts::MainWindow.

See also: KParts::Part::guiActivateEvent()

GUIActivateEvent ( bool activated ) | ### GUIActivateEvent

bool activated () | ### activated

[const]

bool test ( const QEvent *event ) | ### test

[static]

Reimplemented from Event.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:48 2001, using kdoc 2.0a53.